Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ff2e::/16
First address
ff2e::
Last address
ff2e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ff2e:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
e.2.f.f.ip6.arpa
Split into smaller subnets/28

ff2e::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1ff2e::/28ff2e:f:ffff:ffff:ffff:ffff:ffff:ffff
2ff2e:10::/28ff2e:1f:ffff:ffff:ffff:ffff:ffff:ffff
3ff2e:20::/28ff2e:2f:ffff:ffff:ffff:ffff:ffff:ffff
4ff2e:30::/28ff2e:3f:ffff:ffff:ffff:ffff:ffff:ffff
5ff2e:40::/28ff2e:4f:ffff:ffff:ffff:ffff:ffff:ffff
6ff2e:50::/28ff2e:5f:ffff:ffff:ffff:ffff:ffff:ffff
7ff2e:60::/28ff2e:6f:ffff:ffff:ffff:ffff:ffff:ffff
8ff2e:70::/28ff2e:7f:ffff:ffff:ffff:ffff:ffff:ffff
9ff2e:80::/28ff2e:8f:ffff:ffff:ffff:ffff:ffff:ffff
10ff2e:90::/28ff2e:9f:ffff:ffff:ffff:ffff:ffff:ffff
11ff2e:a0::/28ff2e:af:ffff:ffff:ffff:ffff:ffff:ffff
12ff2e:b0::/28ff2e:bf:ffff:ffff:ffff:ffff:ffff:ffff
13ff2e:c0::/28ff2e:cf:ffff:ffff:ffff:ffff:ffff:ffff
14ff2e:d0::/28ff2e:df:ffff:ffff:ffff:ffff:ffff:ffff
15ff2e:e0::/28ff2e:ef:ffff:ffff:ffff:ffff:ffff:ffff
16ff2e:f0::/28ff2e:ff:ffff:ffff:ffff:ffff:ffff:ffff
17ff2e:100::/28ff2e:10f:ffff:ffff:ffff:ffff:ffff:ffff
18ff2e:110::/28ff2e:11f:ffff:ffff:ffff:ffff:ffff:ffff
19ff2e:120::/28ff2e:12f:ffff:ffff:ffff:ffff:ffff:ffff
20ff2e:130::/28ff2e:13f:ffff:ffff:ffff:ffff:ffff:ffff
21ff2e:140::/28ff2e:14f:ffff:ffff:ffff:ffff:ffff:ffff
22ff2e:150::/28ff2e:15f:ffff:ffff:ffff:ffff:ffff:ffff
23ff2e:160::/28ff2e:16f:ffff:ffff:ffff:ffff:ffff:ffff
24ff2e:170::/28ff2e:17f:ffff:ffff:ffff:ffff:ffff:ffff
25ff2e:180::/28ff2e:18f:ffff:ffff:ffff:ffff:ffff:ffff
26ff2e:190::/28ff2e:19f:ffff:ffff:ffff:ffff:ffff:ffff
27ff2e:1a0::/28ff2e:1af:ffff:ffff:ffff:ffff:ffff:ffff
28ff2e:1b0::/28ff2e:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29ff2e:1c0::/28ff2e:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30ff2e:1d0::/28ff2e:1df:ffff:ffff:ffff:ffff:ffff:ffff
31ff2e:1e0::/28ff2e:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32ff2e:1f0::/28ff2e:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33ff2e:200::/28ff2e:20f:ffff:ffff:ffff:ffff:ffff:ffff
34ff2e:210::/28ff2e:21f:ffff:ffff:ffff:ffff:ffff:ffff
35ff2e:220::/28ff2e:22f:ffff:ffff:ffff:ffff:ffff:ffff
36ff2e:230::/28ff2e:23f:ffff:ffff:ffff:ffff:ffff:ffff
37ff2e:240::/28ff2e:24f:ffff:ffff:ffff:ffff:ffff:ffff
38ff2e:250::/28ff2e:25f:ffff:ffff:ffff:ffff:ffff:ffff
39ff2e:260::/28ff2e:26f:ffff:ffff:ffff:ffff:ffff:ffff
40ff2e:270::/28ff2e:27f:ffff:ffff:ffff:ffff:ffff:ffff
41ff2e:280::/28ff2e:28f:ffff:ffff:ffff:ffff:ffff:ffff
42ff2e:290::/28ff2e:29f:ffff:ffff:ffff:ffff:ffff:ffff
43ff2e:2a0::/28ff2e:2af:ffff:ffff:ffff:ffff:ffff:ffff
44ff2e:2b0::/28ff2e:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45ff2e:2c0::/28ff2e:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46ff2e:2d0::/28ff2e:2df:ffff:ffff:ffff:ffff:ffff:ffff
47ff2e:2e0::/28ff2e:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48ff2e:2f0::/28ff2e:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49ff2e:300::/28ff2e:30f:ffff:ffff:ffff:ffff:ffff:ffff
50ff2e:310::/28ff2e:31f:ffff:ffff:ffff:ffff:ffff:ffff
51ff2e:320::/28ff2e:32f:ffff:ffff:ffff:ffff:ffff:ffff
52ff2e:330::/28ff2e:33f:ffff:ffff:ffff:ffff:ffff:ffff
53ff2e:340::/28ff2e:34f:ffff:ffff:ffff:ffff:ffff:ffff
54ff2e:350::/28ff2e:35f:ffff:ffff:ffff:ffff:ffff:ffff
55ff2e:360::/28ff2e:36f:ffff:ffff:ffff:ffff:ffff:ffff
56ff2e:370::/28ff2e:37f:ffff:ffff:ffff:ffff:ffff:ffff
57ff2e:380::/28ff2e:38f:ffff:ffff:ffff:ffff:ffff:ffff
58ff2e:390::/28ff2e:39f:ffff:ffff:ffff:ffff:ffff:ffff
59ff2e:3a0::/28ff2e:3af:ffff:ffff:ffff:ffff:ffff:ffff
60ff2e:3b0::/28ff2e:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61ff2e:3c0::/28ff2e:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62ff2e:3d0::/28ff2e:3df:ffff:ffff:ffff:ffff:ffff:ffff
63ff2e:3e0::/28ff2e:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64ff2e:3f0::/28ff2e:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65ff2e:400::/28ff2e:40f:ffff:ffff:ffff:ffff:ffff:ffff
66ff2e:410::/28ff2e:41f:ffff:ffff:ffff:ffff:ffff:ffff
67ff2e:420::/28ff2e:42f:ffff:ffff:ffff:ffff:ffff:ffff
68ff2e:430::/28ff2e:43f:ffff:ffff:ffff:ffff:ffff:ffff
69ff2e:440::/28ff2e:44f:ffff:ffff:ffff:ffff:ffff:ffff
70ff2e:450::/28ff2e:45f:ffff:ffff:ffff:ffff:ffff:ffff
71ff2e:460::/28ff2e:46f:ffff:ffff:ffff:ffff:ffff:ffff
72ff2e:470::/28ff2e:47f:ffff:ffff:ffff:ffff:ffff:ffff
73ff2e:480::/28ff2e:48f:ffff:ffff:ffff:ffff:ffff:ffff
74ff2e:490::/28ff2e:49f:ffff:ffff:ffff:ffff:ffff:ffff
75ff2e:4a0::/28ff2e:4af:ffff:ffff:ffff:ffff:ffff:ffff
76ff2e:4b0::/28ff2e:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77ff2e:4c0::/28ff2e:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78ff2e:4d0::/28ff2e:4df:ffff:ffff:ffff:ffff:ffff:ffff
79ff2e:4e0::/28ff2e:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80ff2e:4f0::/28ff2e:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81ff2e:500::/28ff2e:50f:ffff:ffff:ffff:ffff:ffff:ffff
82ff2e:510::/28ff2e:51f:ffff:ffff:ffff:ffff:ffff:ffff
83ff2e:520::/28ff2e:52f:ffff:ffff:ffff:ffff:ffff:ffff
84ff2e:530::/28ff2e:53f:ffff:ffff:ffff:ffff:ffff:ffff
85ff2e:540::/28ff2e:54f:ffff:ffff:ffff:ffff:ffff:ffff
86ff2e:550::/28ff2e:55f:ffff:ffff:ffff:ffff:ffff:ffff
87ff2e:560::/28ff2e:56f:ffff:ffff:ffff:ffff:ffff:ffff
88ff2e:570::/28ff2e:57f:ffff:ffff:ffff:ffff:ffff:ffff
89ff2e:580::/28ff2e:58f:ffff:ffff:ffff:ffff:ffff:ffff
90ff2e:590::/28ff2e:59f:ffff:ffff:ffff:ffff:ffff:ffff
91ff2e:5a0::/28ff2e:5af:ffff:ffff:ffff:ffff:ffff:ffff
92ff2e:5b0::/28ff2e:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93ff2e:5c0::/28ff2e:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94ff2e:5d0::/28ff2e:5df:ffff:ffff:ffff:ffff:ffff:ffff
95ff2e:5e0::/28ff2e:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96ff2e:5f0::/28ff2e:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97ff2e:600::/28ff2e:60f:ffff:ffff:ffff:ffff:ffff:ffff
98ff2e:610::/28ff2e:61f:ffff:ffff:ffff:ffff:ffff:ffff
99ff2e:620::/28ff2e:62f:ffff:ffff:ffff:ffff:ffff:ffff
100ff2e:630::/28ff2e:63f:ffff:ffff:ffff:ffff:ffff:ffff
101ff2e:640::/28ff2e:64f:ffff:ffff:ffff:ffff:ffff:ffff
102ff2e:650::/28ff2e:65f:ffff:ffff:ffff:ffff:ffff:ffff
103ff2e:660::/28ff2e:66f:ffff:ffff:ffff:ffff:ffff:ffff
104ff2e:670::/28ff2e:67f:ffff:ffff:ffff:ffff:ffff:ffff
105ff2e:680::/28ff2e:68f:ffff:ffff:ffff:ffff:ffff:ffff
106ff2e:690::/28ff2e:69f:ffff:ffff:ffff:ffff:ffff:ffff
107ff2e:6a0::/28ff2e:6af:ffff:ffff:ffff:ffff:ffff:ffff
108ff2e:6b0::/28ff2e:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109ff2e:6c0::/28ff2e:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110ff2e:6d0::/28ff2e:6df:ffff:ffff:ffff:ffff:ffff:ffff
111ff2e:6e0::/28ff2e:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112ff2e:6f0::/28ff2e:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113ff2e:700::/28ff2e:70f:ffff:ffff:ffff:ffff:ffff:ffff
114ff2e:710::/28ff2e:71f:ffff:ffff:ffff:ffff:ffff:ffff
115ff2e:720::/28ff2e:72f:ffff:ffff:ffff:ffff:ffff:ffff
116ff2e:730::/28ff2e:73f:ffff:ffff:ffff:ffff:ffff:ffff
117ff2e:740::/28ff2e:74f:ffff:ffff:ffff:ffff:ffff:ffff
118ff2e:750::/28ff2e:75f:ffff:ffff:ffff:ffff:ffff:ffff
119ff2e:760::/28ff2e:76f:ffff:ffff:ffff:ffff:ffff:ffff
120ff2e:770::/28ff2e:77f:ffff:ffff:ffff:ffff:ffff:ffff
121ff2e:780::/28ff2e:78f:ffff:ffff:ffff:ffff:ffff:ffff
122ff2e:790::/28ff2e:79f:ffff:ffff:ffff:ffff:ffff:ffff
123ff2e:7a0::/28ff2e:7af:ffff:ffff:ffff:ffff:ffff:ffff
124ff2e:7b0::/28ff2e:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125ff2e:7c0::/28ff2e:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126ff2e:7d0::/28ff2e:7df:ffff:ffff:ffff:ffff:ffff:ffff
127ff2e:7e0::/28ff2e:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128ff2e:7f0::/28ff2e:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129ff2e:800::/28ff2e:80f:ffff:ffff:ffff:ffff:ffff:ffff
130ff2e:810::/28ff2e:81f:ffff:ffff:ffff:ffff:ffff:ffff
131ff2e:820::/28ff2e:82f:ffff:ffff:ffff:ffff:ffff:ffff
132ff2e:830::/28ff2e:83f:ffff:ffff:ffff:ffff:ffff:ffff
133ff2e:840::/28ff2e:84f:ffff:ffff:ffff:ffff:ffff:ffff
134ff2e:850::/28ff2e:85f:ffff:ffff:ffff:ffff:ffff:ffff
135ff2e:860::/28ff2e:86f:ffff:ffff:ffff:ffff:ffff:ffff
136ff2e:870::/28ff2e:87f:ffff:ffff:ffff:ffff:ffff:ffff
137ff2e:880::/28ff2e:88f:ffff:ffff:ffff:ffff:ffff:ffff
138ff2e:890::/28ff2e:89f:ffff:ffff:ffff:ffff:ffff:ffff
139ff2e:8a0::/28ff2e:8af:ffff:ffff:ffff:ffff:ffff:ffff
140ff2e:8b0::/28ff2e:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141ff2e:8c0::/28ff2e:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142ff2e:8d0::/28ff2e:8df:ffff:ffff:ffff:ffff:ffff:ffff
143ff2e:8e0::/28ff2e:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144ff2e:8f0::/28ff2e:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145ff2e:900::/28ff2e:90f:ffff:ffff:ffff:ffff:ffff:ffff
146ff2e:910::/28ff2e:91f:ffff:ffff:ffff:ffff:ffff:ffff
147ff2e:920::/28ff2e:92f:ffff:ffff:ffff:ffff:ffff:ffff
148ff2e:930::/28ff2e:93f:ffff:ffff:ffff:ffff:ffff:ffff
149ff2e:940::/28ff2e:94f:ffff:ffff:ffff:ffff:ffff:ffff
150ff2e:950::/28ff2e:95f:ffff:ffff:ffff:ffff:ffff:ffff
151ff2e:960::/28ff2e:96f:ffff:ffff:ffff:ffff:ffff:ffff
152ff2e:970::/28ff2e:97f:ffff:ffff:ffff:ffff:ffff:ffff
153ff2e:980::/28ff2e:98f:ffff:ffff:ffff:ffff:ffff:ffff
154ff2e:990::/28ff2e:99f:ffff:ffff:ffff:ffff:ffff:ffff
155ff2e:9a0::/28ff2e:9af:ffff:ffff:ffff:ffff:ffff:ffff
156ff2e:9b0::/28ff2e:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157ff2e:9c0::/28ff2e:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158ff2e:9d0::/28ff2e:9df:ffff:ffff:ffff:ffff:ffff:ffff
159ff2e:9e0::/28ff2e:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160ff2e:9f0::/28ff2e:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161ff2e:a00::/28ff2e:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162ff2e:a10::/28ff2e:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163ff2e:a20::/28ff2e:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164ff2e:a30::/28ff2e:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165ff2e:a40::/28ff2e:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166ff2e:a50::/28ff2e:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167ff2e:a60::/28ff2e:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168ff2e:a70::/28ff2e:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169ff2e:a80::/28ff2e:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170ff2e:a90::/28ff2e:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171ff2e:aa0::/28ff2e:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172ff2e:ab0::/28ff2e:abf:ffff:ffff:ffff:ffff:ffff:ffff
173ff2e:ac0::/28ff2e:acf:ffff:ffff:ffff:ffff:ffff:ffff
174ff2e:ad0::/28ff2e:adf:ffff:ffff:ffff:ffff:ffff:ffff
175ff2e:ae0::/28ff2e:aef:ffff:ffff:ffff:ffff:ffff:ffff
176ff2e:af0::/28ff2e:aff:ffff:ffff:ffff:ffff:ffff:ffff
177ff2e:b00::/28ff2e:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178ff2e:b10::/28ff2e:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179ff2e:b20::/28ff2e:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180ff2e:b30::/28ff2e:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181ff2e:b40::/28ff2e:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182ff2e:b50::/28ff2e:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183ff2e:b60::/28ff2e:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184ff2e:b70::/28ff2e:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185ff2e:b80::/28ff2e:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186ff2e:b90::/28ff2e:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187ff2e:ba0::/28ff2e:baf:ffff:ffff:ffff:ffff:ffff:ffff
188ff2e:bb0::/28ff2e:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189ff2e:bc0::/28ff2e:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190ff2e:bd0::/28ff2e:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191ff2e:be0::/28ff2e:bef:ffff:ffff:ffff:ffff:ffff:ffff
192ff2e:bf0::/28ff2e:bff:ffff:ffff:ffff:ffff:ffff:ffff
193ff2e:c00::/28ff2e:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194ff2e:c10::/28ff2e:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195ff2e:c20::/28ff2e:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196ff2e:c30::/28ff2e:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197ff2e:c40::/28ff2e:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198ff2e:c50::/28ff2e:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199ff2e:c60::/28ff2e:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200ff2e:c70::/28ff2e:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201ff2e:c80::/28ff2e:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202ff2e:c90::/28ff2e:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203ff2e:ca0::/28ff2e:caf:ffff:ffff:ffff:ffff:ffff:ffff
204ff2e:cb0::/28ff2e:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205ff2e:cc0::/28ff2e:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206ff2e:cd0::/28ff2e:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207ff2e:ce0::/28ff2e:cef:ffff:ffff:ffff:ffff:ffff:ffff
208ff2e:cf0::/28ff2e:cff:ffff:ffff:ffff:ffff:ffff:ffff
209ff2e:d00::/28ff2e:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210ff2e:d10::/28ff2e:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211ff2e:d20::/28ff2e:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212ff2e:d30::/28ff2e:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213ff2e:d40::/28ff2e:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214ff2e:d50::/28ff2e:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215ff2e:d60::/28ff2e:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216ff2e:d70::/28ff2e:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217ff2e:d80::/28ff2e:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218ff2e:d90::/28ff2e:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219ff2e:da0::/28ff2e:daf:ffff:ffff:ffff:ffff:ffff:ffff
220ff2e:db0::/28ff2e:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221ff2e:dc0::/28ff2e:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222ff2e:dd0::/28ff2e:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223ff2e:de0::/28ff2e:def:ffff:ffff:ffff:ffff:ffff:ffff
224ff2e:df0::/28ff2e:dff:ffff:ffff:ffff:ffff:ffff:ffff
225ff2e:e00::/28ff2e:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226ff2e:e10::/28ff2e:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227ff2e:e20::/28ff2e:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228ff2e:e30::/28ff2e:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229ff2e:e40::/28ff2e:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230ff2e:e50::/28ff2e:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231ff2e:e60::/28ff2e:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232ff2e:e70::/28ff2e:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233ff2e:e80::/28ff2e:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234ff2e:e90::/28ff2e:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235ff2e:ea0::/28ff2e:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236ff2e:eb0::/28ff2e:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237ff2e:ec0::/28ff2e:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238ff2e:ed0::/28ff2e:edf:ffff:ffff:ffff:ffff:ffff:ffff
239ff2e:ee0::/28ff2e:eef:ffff:ffff:ffff:ffff:ffff:ffff
240ff2e:ef0::/28ff2e:eff:ffff:ffff:ffff:ffff:ffff:ffff
241ff2e:f00::/28ff2e:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242ff2e:f10::/28ff2e:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243ff2e:f20::/28ff2e:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244ff2e:f30::/28ff2e:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245ff2e:f40::/28ff2e:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246ff2e:f50::/28ff2e:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247ff2e:f60::/28ff2e:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248ff2e:f70::/28ff2e:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249ff2e:f80::/28ff2e:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250ff2e:f90::/28ff2e:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251ff2e:fa0::/28ff2e:faf:ffff:ffff:ffff:ffff:ffff:ffff
252ff2e:fb0::/28ff2e:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253ff2e:fc0::/28ff2e:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254ff2e:fd0::/28ff2e:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255ff2e:fe0::/28ff2e:fef:ffff:ffff:ffff:ffff:ffff:ffff
256ff2e:ff0::/28ff2e:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses